/******************************************************************
*
*	CyberHTTP for Java
*
*	Copyright (C) Satoshi Konno 2002
*
*	File: HTTP.java
*
*	Revision;
*
*	11/18/02
*		- first revision.
*	
******************************************************************/

package org.cybergarage.http;

import java.net.*;

public class HTTP 
{
	public static final String HOST = "HOST";
	public static final String VERSION = "1.1";
	public static final String CRLF = "\r\n";
	public static final String TAB = "\t";
	
	public static final String SOAP_ACTION = "SOAPACTION";

	public static final String M_SEARCH = "M-SEARCH";
	public static final String NOTIFY = "NOTIFY";
	public static final String POST = "POST";
	public static final String GET = "GET";
	public static final String SUBSCRIBE = "SUBSCRIBE";
	public static final String UNSUBSCRIBE = "UNSUBSCRIBE";
	
	public static final String DATE = "DATE";
	public static final String CONTENT_TYPE = "CONTENT-TYPE";
	public static final String CONTENT_LENGTH = "CONTENT-LENGTH";
	public static final String CACHE_CONTROL = "CACHE-CONTROL";
	public static final String SERVER = "SERVER";

	public static final String ST = "ST";
	public static final String MX = "MX";
	public static final String MAN = "MAN";
	public static final String LOCATION = "LOCATION";
	public static final String NT = "NT";
	public static final String NTS = "NTS";
	public static final String USN = "USN";
	public static final String EXT = "EXT";
	public static final String SID = "SID";
	public static final String SEQ = "SEQ";
	public final static String CALLBACK = "CALLBACK";
	public final static String TIMEOUT = "TIMEOUT";

	public static final String REQEST_LINE_DELIM = " ";
	public static final String HEADER_LINE_DELIM = " :";
	public static final String STATUS_LINE_DELIM = " ";

	public static final boolean isAbsoluteURL(String urlStr)
	{
		try {
			URL url = new URL(urlStr);
			return true;
		}
		catch (Exception e) {
			return false;
		}
	} 

	public static final String getHost(String urlStr)
	{
		try {
			URL url = new URL(urlStr);
			return url.getHost();
		}
		catch (Exception e) {
			return "";
		}
	}

	public static final int getPort(String urlStr)
	{
		try {
			URL url = new URL(urlStr);
			return url.getPort();
		}
		catch (Exception e) {
			return -1;
		}
	}

	public static final String getRelativeURL(String urlStr)
	{
		if (0 < urlStr.length() && urlStr.charAt(0) != '/') 
			return "/" + urlStr;
		return urlStr;
	}
	 	
	public static final String getURL(String baseURLStr, String relURlStr)
	{
		try {
			URL baseURL = new URL(baseURLStr);
			String url = 
				baseURL.getProtocol() + "://" +
				baseURL.getHost() + ":" +
				baseURL.getPort() +
				getRelativeURL(relURlStr);
			return url;
		}
		catch (Exception e) {
			return "";
		}
	}
}

